OBVibrationData Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
OBVibrationData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBVibrationData:
[legend]

List of all members.

## Public Member Functions
| OBVibrationData ()
virtual | ~OBVibrationData ()
virtual OBGenericData * | Clone (OBBase *) const
OBVibrationData & | operator= (const OBVibrationData &)
void | SetData (const std::vector< std::vector< vector3 > > &lx, const std::vector< double > &frequencies, const std::vector< double > &intensities)
void | SetData (const std::vector< std::vector< vector3 > > &, const std::vector< double > &, const std::vector< double > &, const std::vector< double > &)
std::vector< std::vector < vector3 > > | GetLx () const
std::vector< double > | GetFrequencies () const
std::vector< double > | GetIntensities () const
std::vector< double > | GetRamanActivities () const
unsigned int | GetNumberOfFrequencies () const
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const
## Protected Attributes
std::vector< std::vector < vector3 > > | _vLx
std::vector< double > | _vFrequencies
std::vector< double > | _vIntensities
std::vector< double > | _vRamanActivities
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to hold the normal modes of a molecule, etc.

## Constructor & Destructor Documentation

OBVibrationData | ( |  | ) | `[inline]`

virtual ~OBVibrationData | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual OBGenericData* Clone | ( | OBBase * |  | ) | const`[inline, virtual]`

Reimplemented from OBGenericData.

OBVibrationData& operator= | ( | const OBVibrationData & |  | ) |

void SetData | ( | const std::vector< std::vector< vector3 > > & | vLx,
|  | const std::vector< double > & | vFrequencies,
|  | const std::vector< double > & | vIntensities
| ) |  |

Assign the data.

Parameters:

  vLx | Normal modes in 1/sqrt(a.u.)
  vFrequencies | Harmonic frequencies in inverse centimeters
  vIntensities | Infrared absorption intensities in KM/Mole

void SetData | ( | const std::vector< std::vector< vector3 > > & | vLx,
|  | const std::vector< double > & | vFrequencies,
|  | const std::vector< double > & | vIntensities,
|  | const std::vector< double > & | vRamanActivities
| ) |  |

Assign the data.

Parameters:

  vLx | Normal modes in 1/sqrt(a.u.)
  vFrequencies | Harmonic frequencies in inverse centimeters
  vIntensities | Infrared absorption intensities in KM/Mole
  vRamanActivities | Raman activities

std::vector< std::vector< vector3 > > GetLx | ( |  | ) | const`[inline]`

std::vector<double> GetFrequencies | ( |  | ) | const`[inline]`

std::vector<double> GetIntensities | ( |  | ) | const`[inline]`

std::vector<double> GetRamanActivities | ( |  | ) | const`[inline]`

unsigned int GetNumberOfFrequencies | ( |  | ) | const

Get the number of frequencies.

void SetAttribute | ( | const std::string & | v | ) | `[inline, inherited]`

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

void SetOrigin | ( | const DataOrigin | s | ) | `[inline, inherited]`

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OpenBabel::CalcSignedVolume(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

virtual const std::string& GetAttribute | ( |  | ) | const`[inline, virtual, inherited]`

Returns:
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

unsigned int GetDataType | ( |  | ) | const`[inline, inherited]`

Returns:
  the data type for this object as defined in OBGenericDataType

virtual const std::string& GetValue | ( |  | ) | const`[inline, virtual, inherited]`

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBPairData, and OBCommentData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

virtual DataOrigin GetOrigin | ( |  | ) | const`[inline, virtual, inherited]`

## Member Data Documentation

std::vector< std::vector< vector3 > > _vLx`[protected]`

Normal modes in 1/sqrt(a.u.)

Referenced by OBVibrationData::SetData().

std::vector<double> _vFrequencies`[protected]`

Harmonic frequencies in inverse centimeters.

Referenced by OBVibrationData::GetNumberOfFrequencies(), and OBVibrationData::SetData().

std::vector<double> _vIntensities`[protected]`

Infrared absorption intensities in KM/Mole.

Referenced by OBVibrationData::SetData().

std::vector<double> _vRamanActivities`[protected]`

Raman activities.

Referenced by OBVibrationData::SetData().

std::string _attr`[protected, inherited]`

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

unsigned int _type`[protected, inherited]`

attribute type -- declared for each subclass

Referenced by OBRotamerList::Clone(), and OBNasaThermoData::OBNasaThermoData().

DataOrigin _source`[protected, inherited]`

source of data for accounting

Referenced by OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), OBAngleData::operator=(), and OBChiralData::operator=().

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines